---
title: "Send an invitation to join an organization - Xata"
description: "Send an invitation email to a user to join an organization."
source: "https://xata.io/docs/api-reference/organizations/send-an-invitation-to-join-an-organization"
---

Skip to main content

POST

/

organizations

/

{organizationID}

/

invitations

Send an invitation to join an organization

```
curl --request POST
  --url https://api.xata.tech/organizations/{organizationID}/invitations
  --header 'Authorization: Bearer <token>'
  --header 'Content-Type: application/json'
  --data '
{
  "email": "jsmith@example.com"
}
'
```

```
import requests

url = "https://api.xata.tech/organizations/{organizationID}/invitations"

payload = { "email": "jsmith@example.com" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({email: 'jsmith@example.com'})
};

fetch('https://api.xata.tech/organizations/{organizationID}/invitations', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```


```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "invalid API key"
}
```

```
{
  "message": "invalid API key"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

```
{
  "message": "<string>",
  "id": "<string>"
}
```

#### Authorizations

​

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

#### Path Parameters

​

organizationID

string

required

Unique identifier for a specific organization

Pattern: `[a-zA-Z0-9_-~:]+`

#### Body

application/json

​

email

string\<email>

required

Email address of the user to invite

#### Response

Invitation sent successfully

Was this page helpful?

[Previous](/docs/api-reference/organizations/list-invitations-for-an-organization)

[Get details of a specific invitation](/docs/api-reference/organizations/get-details-of-a-specific-invitation)

[Next](/docs/api-reference/organizations/get-details-of-a-specific-invitation)
